package com.liquidnet.common.third.xuper.dto;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 授予数字商品碎片
 * @class: Xuper001GetStokenReqDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class Xuper007GrantShardRespDto {
    private long requestId;
    private int errNo;
    private String errMsg;
    public long assetId;
    public long shardId;

    private static final Xuper007GrantShardRespDto obj = new Xuper007GrantShardRespDto();
    public static Xuper007GrantShardRespDto getNew() {
        try {
            return (Xuper007GrantShardRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Xuper007GrantShardRespDto();
        }
    }
}
